# Uses of Interface
org.eclipse.emf.cdo.common.CDOCommonSession

Packages that use CDOCommonSession
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonSession in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonSession
Modifier and Type
Method
Description
`CDOCommonSession`
CDOCommonSession.Options.`getContainer()`
Returns the `session` of this options object.
`CDOCommonSession`
CDOCommonView.`getSession()`

## Uses of CDOCommonSession in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOCommonSession
Modifier and Type
Method
Description
`CDOCommonSession`
CDOProtocol.CommitNotificationInfo.`getSender()`
`CDOCommonSession`
CDODataInput.`getSession()`
`CDOCommonSession`
CDODataOutput.`getSession()`
`CDOCommonSession`
CDOProtocol.`getSession()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOCommonSession
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitNotificationInfo.`setSender(CDOCommonSession sender)`

## Uses of CDOCommonSession in org.eclipse.emf.cdo.net4j

Subinterfaces of CDOCommonSession in org.eclipse.emf.cdo.net4j
Modifier and Type
Interface
Description
`interface`
`CDONet4jSession`
A Net4j-specific CDO `session`.
`interface`
`CDOSession`
Deprecated.
Use `CDONet4jSession`.

## Uses of CDOCommonSession in org.eclipse.emf.cdo.server

Subinterfaces of CDOCommonSession in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`interface`
`ISession`
The server-side representation of a client `session`.
Methods in org.eclipse.emf.cdo.server with parameters of type CDOCommonSession
Modifier and Type
Method
Description
`void`
ILockingManager.DurableViewHandler.`openingView(CDOCommonSession session, int viewID, boolean readOnly, IDurableLockingManager.LockArea area)`
A call-back method primarily intended to allow implementers to prevent the view from being opened by throwing an exception.

## Uses of CDOCommonSession in org.eclipse.emf.cdo.session

Subinterfaces of CDOCommonSession in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDOSession`
Represents and controls the connection to a model repository in addition to the inherited `view` management functions.

## Uses of CDOCommonSession in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOCommonSession
Modifier and Type
Method
Description
`CDOCommonSession`
CDODataInputImpl.`getSession()`
`CDOCommonSession`
CDODataOutputImpl.`getSession()`

## Uses of CDOCommonSession in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOCommonSession in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalSession`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommonSession in org.eclipse.emf.spi.cdo

Subinterfaces of CDOCommonSession in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSession`
If the meaning of this type isn't clear, there really should be more of a description here...